## python-goodvibes 3.2%2Bdfsg

=== debian/changelog ===
python-goodvibes (3.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Do not FTBFS with the nocheck build profile (Closes: #1103322)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Apr 2025 14:42:13 +0200

python-goodvibes (3.2+dfsg-5) unstable; urgency=medium

  * d/rules: remove /usr/bin/goodvibes executable to prevent
    conflict with another package in Debian. (Closes: #1078865)
  * Remove d/goodvibes.1 and d/python3-goodvibes.manpages.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 18 Aug 2024 15:30:00 +0000

python-goodvibes (3.2+dfsg-4) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 15 Aug 2024 17:20:00 +0000

python-goodvibes (3.2+dfsg-3) unstable; urgency=medium

  * d/control: add python-goodvibes-doc package and its
    related B-Depends + update uploaders list.
  * d/rules: add sphinxdoc build + dh_installdocs to build docs
    + enable goodvibes binary file.
  * Add d/python-goodvibes-doc.doc-base and
    d/python-goodvibes-doc.docs.
  * Add d/patches/003_fix-for-docs.patch for docs.
  * Add d/goodvibes.1 and d/python3-goodvibes.manpages.
  * d/copyright: update email ID in debian/* copyright.
  * Add d/source/options to diff-ignore egg-info.

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 15 Aug 2024 06:15:00 +0000

python-goodvibes (3.2+dfsg-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 25 Jan 2024 02:00:00 +0000

python-goodvibes (3.2+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1059884)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 17 Jan 2024 12:00:00 +0000

## python-goodvibes 3.2+dfsg

=== docs/requirements.txt ===
Sphinx
sphinx-rtd-theme
sphinxcontrib-napoleon
recommonmark

=== goodvibes/requirements.txt ===
numpy
cclib

=== debian/control ===
Source: python-goodvibes
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/patonlab/GoodVibes
Vcs-Git: https://salsa.debian.org/python-team/packages/python-goodvibes.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-goodvibes
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-cclib,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-setuptools,
Build-Depends-Indep:
 python3-recommonmark <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-goodvibes
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Python program to compute corrections to thermochemical data from frequency calculations
 GoodVibes is a Python program to compute thermochemical
 data from one or a series of electronic structure
 calculations. It is used primarily to correct the poor
 description of low frequency vibrations by the
 rigid-rotor harmonic oscillator treatment.

Package: python-goodvibes-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for goodvibes
 GoodVibes is a Python program to compute thermochemical
 data from one or a series of electronic structure
 calculations. It is used primarily to correct the poor
 description of low frequency vibrations by the
 rigid-rotor harmonic oscillator treatment.
 .
 This package contains documentation for goodvibes.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=goodvibes
#Disabled tests needing the missing data in Gaussian system examples
export PYBUILD_TEST_ARGS = \
	-k 'not test_QS[CuCN.out-grimme-298.15--289.005463-0.006594--288.994307-0.025953-0.025956--289.02026--289.020264] \
	and not test_QS[CuCN.out-grimme-100.0--289.005463-0.006594--288.997568-0.006944-0.006946--289.004512--289.004514] \
	and not test_QS[CuCN.out-truhlar-298.15--289.005463-0.006594--288.994307-0.025953-0.025953--289.02026--289.02026] \
	and not test_QS[CuCN.out-truhlar-100.0--289.005463-0.006594--288.997568-0.006944-0.006944--289.004512--289.004512] \
	and not test_QH[CuCN.out-grimme-298.15--289.005463-0.006594--288.994307--288.994323-0.025953-0.025956--289.02026--289.020279] \
	and not test_QH[CuCN.out-grimme-100.0--289.005463-0.006594--288.997568--288.997581-0.006944-0.006946--289.004512--289.004527] \
	and not test_QH[CuCN.out-truhlar-298.15--289.005463-0.006594--288.994307--288.994323-0.025953-0.025953--289.02026--289.020276] \
	and not test_QH[CuCN.out-truhlar-100.0--289.005463-0.006594--288.997568--288.997581-0.006944-0.006944--289.004512--289.004525]'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	# Remove executable in not-elf-or-script
	find debian/python3-goodvibes/usr/lib/python3.*/dist-packages/goodvibes/examples -type f -exec chmod -x {} +

	# Exclude the 'goodvibes' executable
	rm debian/python3-goodvibes/usr/bin/goodvibes
	rm -d debian/python3-goodvibes/usr/bin

execute_after_dh_auto_install:
	# Remove unknown-file-in-python-module-directory
	rm -f debian/python3-goodvibes/usr/lib/python3.*/dist-packages/GoodVibes_test.dat

override_dh_installdocs:
	https_proxy='127.0.0.1:9' http_proxy='127.0.0.1:9' sphinx-build -b html docs build/sphinx/html

	# Remove or replace privacy-breach URLs with local paths
	find -type f -name "*.html" -exec sed -i 's|https://anaconda.org/patonlab/goodvibes/badges/downloads.svg|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://anaconda.org/patonlab/goodvibes/badges/installer/conda.svg|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://travis-ci.org/|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://readthedocs.org/projects/goodvibespy/badge/|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://img.shields.io/badge/|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://badge.fury.io/py/goodvibes.svg|(URL removed)|g' {} +

	dh_installdocs -ppython-goodvibes-doc --doc-main-package=python-goodvibes-doc build/sphinx/html
	dh_installdocs

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/patonlab/GoodVibes/tags .*/v(\d\S+)\.tar\.gz
